CMSIS-Core (Cortex-A): Private Timer Functions

| CMSIS-Core (Cortex-A) Version 1.1.4 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions
Private Timer Functions
Core Peripherals

Private Timer Functions controls private timer registers present on Cortex-A5 and A9 class devices.
References: Cortex-A5 MPCore Technical Reference Manual, Cortex-A9 MPCore Technical Reference Manual. More...

## Data Structures
struct | Timer_Type
| Structure type to access the Private Timer. More...

## Macros
#define | PTIM ((Timer_Type *) TIMER_BASE )
| Timer register struct. More...

## Functions
__STATIC_INLINE void | PTIM_SetLoadValue (uint32_t value)
| Set the load value to timers LOAD register. More...
__STATIC_INLINE uint32_t | PTIM_GetLoadValue (void)
| Get the load value from timers LOAD register. More...
__STATIC_INLINE uint32_t | PTIM_GetCurrentValue (void)
| Get current counter value from timers COUNTER register. More...
__STATIC_INLINE void | PTIM_SetControl (uint32_t value)
| Configure the timer using its CONTROL register. More...
__STATIC_INLINE uint32_t | PTIM_GetControl (void)
__STATIC_INLINE void | PTIM_ClearEventFlag (void)

## Description

## Macro Definition Documentation

#define PTIM ((Timer_Type *) TIMER_BASE )

## Function Documentation

__STATIC_INLINE void PTIM_ClearEventFlag | ( | void |  | ) |

ref Timer_Type::CONTROL Clears the event flag in timers ISR register.

__STATIC_INLINE uint32_t PTIM_GetControl | ( | void |  | ) |

ref Timer_Type::CONTROL Get the current timer configuration from its CONTROL register.

Returns
  Timer_Type::CONTROL

__STATIC_INLINE uint32_t PTIM_GetCurrentValue | ( | void |  | ) |

Returns
  Timer_Type::COUNTER

__STATIC_INLINE uint32_t PTIM_GetLoadValue | ( | void |  | ) |

Returns
  Timer_Type::LOAD

__STATIC_INLINE void PTIM_SetControl | ( | uint32_t | value | ) |

Parameters

  [in] | value | The new configuration value to be set.

__STATIC_INLINE void PTIM_SetLoadValue | ( | uint32_t | value | ) |

Parameters

  [in] | value | The load value to be set.